classification
Title: Use threading.main_thread() check in asyncio
Type: Stage: resolved
Components: asyncio Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: asvetlov, miss-islington, yselivanov
Priority: normal Keywords: easy, patch

Created on 2019-12-01 18:38 by asvetlov, last changed 2019-12-05 12:41 by asvetlov. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 17433 merged python-dev, 2019-12-02 00:24
Messages (2)
msg357683 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2019-12-01 18:38
Now we use private `isinstance(thread, threading._MainThread)` check.

main_thread() function was added in Python 3.4 by me to avoid it.
Sorry, I forgot to update asyncio code.

The fix is trivial, I very appreciate if somebody will take care.
msg357847 - (view) Author: miss-islington (miss-islington) Date: 2019-12-05 12:40
New changeset 99eb70a9eb9493602ff6ad8bb92df4318cf05a3e by Miss Islington (bot) (Hill Ma) in branch 'master':
bpo-38951: Use threading.main_thread() check in asyncio (GH-17433)
https://github.com/python/cpython/commit/99eb70a9eb9493602ff6ad8bb92df4318cf05a3e
History
Date User Action Args
2019-12-05 12:41:12asvetlovsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-12-05 12:40:39miss-islingtonsetnosy: + miss-islington
messages: + msg357847
2019-12-02 00:24:02python-devsetkeywords: + patch
stage: patch review
pull_requests: + pull_request16912
2019-12-01 18:39:05asvetlovsetversions: - Python 3.8
2019-12-01 18:38:44asvetlovcreate